org.apache.lucene.codecs.lucene41

## Class Lucene41PostingsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.lucene41.Lucene41PostingsFormat

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

  Deprecated.
  only for reading old 4.x segments

      @Deprecated
      public class Lucene41PostingsFormat
      extends PostingsFormat

  Lucene 4.1 postings format.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BLOCK_SIZE` Deprecated. Fixed packed block size, number of integers encoded in a single packed block.
    `static String` | `DOC_EXTENSION` Deprecated. Filename extension for document number, frequencies, and skip data.
    `static String` | `PAY_EXTENSION` Deprecated. Filename extension for payloads and offsets.
    `static String` | `POS_EXTENSION` Deprecated. Filename extension for positions.

    - ### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene41PostingsFormat()` Deprecated. Creates `Lucene41PostingsFormat` with default settings.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldsConsumer` | `fieldsConsumer(SegmentWriteState state)` Deprecated.
    `FieldsProducer` | `fieldsProducer(SegmentReadState state)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

      `availablePostingsFormats, forName, getName, reloadPostingsFormats`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DOC_EXTENSION

          public static final String DOC_EXTENSION

      Deprecated.
      Filename extension for document number, frequencies, and skip data. See chapter: Frequencies and Skip Data
      See Also:
        Constant Field Values

    - #### POS_EXTENSION

          public static final String POS_EXTENSION

      Deprecated.
      Filename extension for positions. See chapter: Positions
      See Also:
        Constant Field Values

    - #### PAY_EXTENSION

          public static final String PAY_EXTENSION

      Deprecated.
      Filename extension for payloads and offsets. See chapter: Payloads and Offsets
      See Also:
        Constant Field Values

    - #### BLOCK_SIZE

          public static final int BLOCK_SIZE

      Deprecated.
      Fixed packed block size, number of integers encoded in a single packed block.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Lucene41PostingsFormat

          public Lucene41PostingsFormat()

      Deprecated.
      Creates `Lucene41PostingsFormat` with default settings.

  - ### Method Detail

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `PostingsFormat`

    - #### fieldsConsumer

          public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                        throws IOException

      Deprecated.
      Specified by:
        `fieldsConsumer` in class `PostingsFormat`
      Throws:
        `IOException`

    - #### fieldsProducer

          public final FieldsProducer fieldsProducer(SegmentReadState state)
                                              throws IOException

      Deprecated.
      Specified by:
        `fieldsProducer` in class `PostingsFormat`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.